edu.isi.pegasus.planner.ranking

## Class Rank

- java.lang.Object
- - edu.isi.pegasus.planner.ranking.Rank

    public class Rank
    extends java.lang.Object

The Rank class that ranks the DAX'es

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private PegasusBag` `mBag` The pegasus bag.
`private Algorithm` `mHeft` The handle to the ranking algorithm.
`private LogManager` `mLogger` The handle to the logging object.
`private java.lang.String` `mRequestID` The optional request id.
`private java.util.List` `mSites` The list of candidate grid sites.

### Constructor Summary

Constructors
Constructor and Description
`Rank()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(PegasusBag bag, java.util.List sites, java.lang.String id)` Initializes the rank client.
`java.util.Collection<Ranking>` `rank(java.util.Collection<java.lang.String> daxes)` Ranks the daxes, and returns a sort collection of Ranking objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mHeft

    private Algorithm mHeft

The handle to the ranking algorithm.

#### mBag

    private PegasusBag mBag

The pegasus bag.

#### mSites

    private java.util.List mSites

The list of candidate grid sites.

#### mRequestID

    private java.lang.String mRequestID

The optional request id.

#### mLogger

    private LogManager mLogger

The handle to the logging object.

### Constructor Detail

#### Rank

    public Rank()

The default constructor.

### Method Detail

#### initialize

    public void initialize(PegasusBag bag,
                           java.util.List sites,
                           java.lang.String id)

Initializes the rank client.

Parameters:
  `bag` - the PegasusBag.
  `sites` - the sites where the wf can run potentially.
  `id` - the request id

#### rank

    public java.util.Collection<Ranking> rank(java.util.Collection<java.lang.String> daxes)

Ranks the daxes, and returns a sort collection of Ranking objects.

Parameters:
  `daxes` - Collection
Returns:
  a sorted collection according to the ranks.